package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class EDblC extends BasicExpr {
    public final String qdouble_;

    public EDblC(String p1) {

        qdouble_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.qdouble_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EDblC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EDblC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EDblC) o;
            return this.qdouble_.equals(x.qdouble_);
        }
        return false;
    }


}
